| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_Audio_StdDescriptor_Format_t Struct Reference
Common Class Definitions

Audio class-specific Format Descriptor (USB-IF naming conventions). More...

`#include <AudioClassCommon.h>`

## Data Fields
uint8_t | bBitResolution
uint8_t | bDescriptorSubtype
uint8_t | bDescriptorType
uint8_t | bFormatType
uint8_t | bLength
uint8_t | bNrChannels
uint8_t | bSampleFrequencyType
uint8_t | bSubFrameSize

## Detailed Description

Type define for an Audio class-specific audio format descriptor. This is used to give the host full details about the number of channels, the sample resolution, acceptable sample frequencies and encoding method used in the device's audio streams. See the USB Audio specification for more details.

Attention
  This descriptor must be followed by one or more 24-bit integer elements containing the continuous or discrete sample frequencies.

See also
  USB_Audio_Descriptor_Format_t for the version of this type with non-standard LUFA specific element names.

Note
  Regardless of CPU architecture, these values should be stored as little endian.

## Field Documentation

uint8_t USB_Audio_StdDescriptor_Format_t::bBitResolution

Bits of resolution of each channel's samples in the stream.

uint8_t USB_Audio_StdDescriptor_Format_t::bDescriptorSubtype

Sub type value used to distinguish between audio class-specific descriptors, a value from the Audio_CSInterface_AS_SubTypes_t enum.

uint8_t USB_Audio_StdDescriptor_Format_t::bDescriptorType

Sub type value used to distinguish between audio class-specific descriptors, must be AUDIO_DSUBTYPE_CSInterface_FormatType.

uint8_t USB_Audio_StdDescriptor_Format_t::bFormatType

Format of the audio stream, see Audio Device Formats specification.

uint8_t USB_Audio_StdDescriptor_Format_t::bLength

Size of the descriptor, in bytes.

uint8_t USB_Audio_StdDescriptor_Format_t::bNrChannels

Total number of discrete channels in the stream.

uint8_t USB_Audio_StdDescriptor_Format_t::bSampleFrequencyType

Total number of sample frequencies supported by the device. When zero, this must be followed by the lower and upper continuous sampling frequencies supported by the device; otherwise, this must be followed by the given number of discrete sampling frequencies supported.

uint8_t USB_Audio_StdDescriptor_Format_t::bSubFrameSize

Size in bytes of each channel's sample data in the stream.

The documentation for this struct was generated from the following file:

- Drivers/USB/Class/Common/AudioClassCommon.h